Subject: [OT] Totoro costume?
From: "Lin Jie Derek" <[email-masked]>
To: <[email-masked]>
Date: Fri, 6 Sep 2002 20:44:54 +0800

Was debating posting this in Games ML instead, but Totoro isn't exactly a
game...

Does anyone know where I can get a Totoro costume? ^^;; Online hopefully.

Domo arigato! Returning you to our regular seiyuu programme...
------
Lin Jie Derek
<[email-masked]>

"Fairy Tales are not true, they are more than true. Not because they tell us
that dragons exist, but because they tell us that dragons can be beaten."
-- G.K. Chesterton